Bug 202861 - No native kernel installed when Xen is selected during install
No native kernel installed when Xen is selected during install
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Anaconda Maintenance Team
Mike McLean
Depends On:
  Show dependency treegraph
Reported: 2006-08-16 16:22 EDT by Eli Collins
Modified: 2007-11-30 17:11 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-22 19:46:27 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Eli Collins 2006-08-16 16:22:15 EDT
When you install FC6 test2 and select the Xen install option it does not install
a native kernel. If Xen/XenLinux do not boot/work on your system you can not
edit grub.conf to point to the native kernel and get a working system. This is a
pain. A native kernel should always be installed.
Comment 1 Jeremy Katz 2006-08-22 19:46:27 EDT
This is intentional.  If the kernel doesn't work, it needs to be fixed.  Not
papered over by having a different kernel installed.
Comment 2 Eli Collins 2006-08-22 21:23:35 EDT
Agreed, however when people with hardware that's not well tested on Xen come
along and have an issue this will make their life more dificult. I also thought
there were some cases, like requiring PAE, in which Xen/XenLinux were
intentially not as functional as the native kernel. 

Note You need to log in before you can comment on or make changes to this bug.